## Apache Zeta Components Manual :: Docs For Class ezcDocumentParserException

### Document::ezcDocumentParserException

### Class ezcDocumentParserException

Exception thrown, when the RST parser could not parse asome token sequence.

Source for this file: /Document/src/exceptions/parser.php

    Exception
       |
       --ezcBaseException
          |
          --ezcDocumentException
             |
             --ezcDocumentConversionException
                |
                --ezcDocumentParserException

Version: | //autogentag//

### Member Variables

protected string | `$errorString = 'Parse error'` Error string String describing the general type of this error

### Inherited Member Variables

From ezcDocumentConversionException
protected | `ezcDocumentConversionException::$levelMapping`
public | `ezcDocumentConversionException::$parseError`
From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Inherited Methods

From ezcDocumentConversionException
public void | `ezcDocumentConversionException::__construct()` Construct exception from errnous string and current position
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

Documentation generated by phpDocumentor 1.4.3